import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading CitizenCLSensorTypeToGeneric Converter")

class CitizenCLSensorTypeToGeneric(Converter):

    def Execute(self, args):
        res = ""
        if args[0] == "NONE":
            res = "None"
        elif args[0] == "SEE THROUGH":
            res = "Gap"
        elif args[0] == "REFLECT":
            res = "Mark"
        return res




plugin = CitizenCLSensorTypeToGeneric("CitizenCLSensorTypeToGeneric")

store.AddConverter(plugin)